public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrey Utkin" <andrey_utkin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/raspberrypi-image/
Date: Tue,  3 Dec 2019 13:34:26 +0000 (UTC)	[thread overview]
Message-ID: <1575379942.f524aeeb210131e0fecb2c388d2d26e1396f38f2.andrey_utkin@gentoo> (raw)

commit:     f524aeeb210131e0fecb2c388d2d26e1396f38f2
Author:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  2 20:19:58 2019 +0000
Commit:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Tue Dec  3 13:32:22 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f524aeeb

sys-kernel/raspberrypi-image: add new version 4.19.75_p20190925

This version features the change that it does install device tree files.

Package-Manager: Portage-2.3.66, Repoman-2.3.16
Signed-off-by: Andrey Utkin <andrey_utkin <AT> gentoo.org>

 sys-kernel/raspberrypi-image/Manifest              |  1 +
 .../raspberrypi-image-4.19.75_p20190925.ebuild     | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/sys-kernel/raspberrypi-image/Manifest b/sys-kernel/raspberrypi-image/Manifest
index 8c9481e5d02..06afbf490a2 100644
--- a/sys-kernel/raspberrypi-image/Manifest
+++ b/sys-kernel/raspberrypi-image/Manifest
@@ -1,2 +1,3 @@
 DIST raspberrypi-firmware-1.20190709.tar.gz 158835870 BLAKE2B 4e63b3308adcd75f69f66966f1c927449aa8dc65211e6ca5a27dd2a0ed6ed32cc85ad42221308f4fb3a852d9f278400cfe4f723f306abe102341568408027174 SHA512 6a0610c97db47441ede8e4f8436958899f678bf065a0fbde06de7945a1ac4d5f754a0e10d928d77759ba1cbf82654d85d9cb9c91b970c3fe9590560267033522
+DIST raspberrypi-firmware-1.20190925.tar.gz 185571086 BLAKE2B c3a9b2760fa853fbd1dd09bc4048c9e78594f88da5af608c3a761554d4046a4c869db8981c64140a24e82e0a61b8dc776bb8d895df60c6424e44780f78b18cb0 SHA512 4b7b29cc6c2a33d7a37987c492034d9afbb2220364c50cf265e0adf8e5f393c2275dcffaa77c89b3f43b2e98d199741b67590cb60ff8beae8ef677852f63b4a0
 DIST raspberrypi-image-4.14.98_p20190215.tar.gz 123074917 BLAKE2B cefedb5c979db7dfd47938aad37a567d91d3ad78247c7a63f789362768ab7a39a1967ac116b4b0475e3b210ab11f6474706df042af85a622e8e7905c85ec7498 SHA512 082f26caf427222d838881e5f1e9fa0136765b3eaf74a84877fc33616fd07e49085db0889226c40c655039a9d41a10566510c7d752cfc48a67b4683616a51193

diff --git a/sys-kernel/raspberrypi-image/raspberrypi-image-4.19.75_p20190925.ebuild b/sys-kernel/raspberrypi-image/raspberrypi-image-4.19.75_p20190925.ebuild
new file mode 100644
index 00000000000..3a9901ac43d
--- /dev/null
+++ b/sys-kernel/raspberrypi-image/raspberrypi-image-4.19.75_p20190925.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit mount-boot
+
+DESCRIPTION="Raspberry Pi (all versions) kernel and modules"
+HOMEPAGE="https://github.com/raspberrypi/firmware"
+LICENSE="GPL-2 raspberrypi-videocore-bin"
+SLOT="0"
+RESTRICT="binchecks strip"
+
+# Temporary safety measure to prevent ending up with a pair of
+# sys-kernel/raspberrypi-image and sys-boot/raspberrypi-firmware
+# both of which installed device tree files.
+# Restore to simply "sys-boot/raspberrypi-firmware" when the mentioned version
+# and all older ones are deleted.
+RDEPEND=">sys-boot/raspberrypi-firmware-1.20190709"
+
+if [[ "${PV}" == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/raspberrypi/firmware"
+	EGIT_CLONE_TYPE="shallow"
+else
+	[[ "$(ver_cut 4)" == 'p' ]] || die "Unsupported version format, tweak the ebuild."
+	MY_PV="1.$(ver_cut 5)"
+	SRC_URI="https://github.com/raspberrypi/firmware/archive/${MY_PV}.tar.gz -> raspberrypi-firmware-${MY_PV}.tar.gz"
+	S="${WORKDIR}/firmware-${MY_PV}"
+	KEYWORDS="-* ~arm"
+fi
+
+src_install() {
+	insinto /lib/modules
+	doins -r modules/*
+	insinto /boot
+	doins boot/*.img
+
+	doins boot/*.dtb
+	doins -r boot/overlays
+}


             reply	other threads:[~2019-12-03 13:34 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-03 13:34 Andrey Utkin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-03 17:22 [gentoo-commits] repo/gentoo:master commit in: sys-kernel/raspberrypi-image/ Viorel Munteanu
2024-08-13 14:57 Arthur Zamarin
2024-08-13 14:57 Arthur Zamarin
2024-07-12 16:57 Viorel Munteanu
2024-06-17 12:57 Arthur Zamarin
2024-05-16 17:17 Viorel Munteanu
2024-04-20  3:20 Sam James
2023-06-07 16:39 Sam James
2022-07-30  2:22 Sam James
2022-04-09 19:39 Arthur Zamarin
2022-04-09 19:31 Arthur Zamarin
2021-11-21  8:21 Sam James
2021-06-21 22:36 Sam James
2021-02-14  3:23 Sam James
2020-12-29 23:47 Sam James
2020-12-15  3:06 Sam James
2020-11-23  4:41 Sam James
2020-10-13 22:39 Sam James
2020-10-13 22:39 Sam James
2020-07-28  0:10 Sam James
2019-12-03 13:34 Andrey Utkin
2019-07-15 20:31 Andrey Utkin
2019-07-15 20:31 Andrey Utkin
2019-07-05 21:38 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2017-10-15  9:21 Michael Palimaka
2016-03-15 13:49 Michael Weber
2016-03-15 13:49 Michael Weber
2016-02-20 12:07 Michael Weber
2016-02-20  9:11 Patrick Lauer
2016-02-19 22:48 Michael Weber
2016-02-19 22:48 Michael Weber
2016-02-11 12:58 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1575379942.f524aeeb210131e0fecb2c388d2d26e1396f38f2.andrey_utkin@gentoo \
    --to=andrey_utkin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox